---
title: llarp::layers::flow::FlowState
summary: internal state of a flow on the flow layer. 

---

# llarp::layers::flow::FlowState



internal state of a flow on the flow layer. 


`#include <flow_state.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FlowState](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md#function-flowstate)**(FlowState_Pimpl * ) |
| | **[FlowState](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md#function-flowstate)**(const [FlowState](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md) & ) =delete |
| | **[FlowState](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md#function-flowstate)**([FlowState](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md) && ) =delete |
| [FlowStateInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowStateInfo.md) | **[current](Classes/classllarp_1_1layers_1_1flow_1_1FlowState.md#function-current)**() const<br>get a snapshot of the current state.  |

## Public Functions Documentation

### function FlowState

```cpp
explicit FlowState(
    FlowState_Pimpl * 
)
```


### function FlowState

```cpp
FlowState(
    const FlowState & 
) =delete
```


### function FlowState

```cpp
FlowState(
    FlowState && 
) =delete
```


### function current

```cpp
FlowStateInfo current() const
```

get a snapshot of the current state. 

-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000